#!/bin/sh

UDPspeeder_PID=`pidof speederv2`;
UDP2raw_PID=`pidof udp2raw`;
udp2raw_local=`dbus get udpspeeder_local_port`

start_ssr_redir_default(){
	ssr-redir -c /koolshare/ss/ss.json -u -f /var/run/koolss.pid
}

start_ssr_redir_tcp(){
	ssr-redir -c /koolshare/ss/ss.json -f /var/run/koolss_tcp.pid
}

start_ssr_redir_udp(){
	ssr-redir -s 127.0.0.1 -p $udp2raw_local -c /koolshare/ss/ss.json -U -f /var/run/koolss_udp.pid
}

stop_ssr_redir(){
	killall -q -9 ssr-redir
}

if [ -n "$UDPspeeder_PID" ] && [ -n "$UDP2raw_PID" ];then
	echo -e "[ udpspeeder(${UDPspeeder_PID})、udp2raw(${UDP2raw_PID}) ]正在运行，正在分离TCP和UDP"
	sleep 1
	stop_ssr_redir
	start_ssr_redir_tcp
	echo -e "已分离TCP"
	sleep 1
	start_ssr_redir_udp
	echo -e "已分离UDP"
else
	echo -e "[ udpspeeder、udp2raw ]未同时运行，启动默认转发"
	stop_ssr_redir
	sleep 1
	start_ssr_redir_default
fi
